com.holonplatform.vaadin.flow.components.builders

## Interface BaseTemporalInputConfigurator<D,C extends BaseTemporalInputConfigurator<D,C>>

- Type Parameters:
    `D` - Actual date value type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, HasPlaceholderConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, InputConfigurator<D,ValueHolder.ValueChangeEvent<D>,C>, InputValueConfigurator<D,ValueHolder.ValueChangeEvent<D>,C>
  All Known Subinterfaces:
    DateInputBuilder, DateInputConfigurator<C>, DateTimeInputBuilder, DateTimeInputConfigurator<C>, LocalDateInputBuilder, LocalDateInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder

      public interface BaseTemporalInputConfigurator<D,C extends BaseTemporalInputConfigurator<D,C>>
      extends InputValueConfigurator<D,ValueHolder.ValueChangeEvent<D>,C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasEnabledConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasPlaceholderConfigurator<C>, HasLabelConfigurator<C>, DeferrableLocalizationConfigurator<C>

  Base temporal type `Input` components configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BaseTemporalInputConfigurator.CalendarLocalization` Date input calendar popup localization settings.
    `static interface` | `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>` Calendar popup configuration builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `initialPosition(D initialPosition)` Set the date which should be visible when there is no value selected.
    `C` | `locale(Locale locale)` Set the `Locale` to use.
    `BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C>` | `localization()` Get a builder to setup the Date Input calendar localization messages.
    `C` | `localization(BaseTemporalInputConfigurator.CalendarLocalization localization)` Set the Date Input calendar localization messages.
    `C` | `max(D max)` Sets the maximum date that is allowed to be selected.
    `C` | `min(D min)` Sets the minimum date that is allowed to be selected.
    `C` | `updateLocaleOnAttach(boolean updateLocaleOnAttach)` Set whether to update the `Locale` when the component is attached to a parent layout, using the current application `Locale`, if available.
    `C` | `weekNumbersVisible(boolean weekNumbersVisible)` Set the visible week numbers.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### locale

          C locale(Locale locale)

      Set the `Locale` to use. The displayed date will be matched to the format used in that locale.
      Parameters:
        `locale` - The locale to set (not null)
      Returns:
        this

    - #### updateLocaleOnAttach

          C updateLocaleOnAttach(boolean updateLocaleOnAttach)

      Set whether to update the `Locale` when the component is attached to a parent layout, using the current application `Locale`, if available.
      Parameters:
        `updateLocaleOnAttach` - Whether to update the component `Locale` on attach
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### min

          C min(D min)

      Sets the minimum date that is allowed to be selected.
      Parameters:
        `min` - the minimum date that is allowed to be selected, or `null` to remove any minimum constraints
      Returns:
        this

    - #### max

          C max(D max)

      Sets the maximum date that is allowed to be selected.
      Parameters:
        `max` - the maximum date that is allowed to be selected, or `null` to remove any maximum constraints
      Returns:
        this

    - #### initialPosition

          C initialPosition(D initialPosition)

      Set the date which should be visible when there is no value selected.
      Parameters:
        `initialPosition` - the initial position to set
      Returns:
        this

    - #### weekNumbersVisible

          C weekNumbersVisible(boolean weekNumbersVisible)

      Set the visible week numbers.

      Set `true` to display ISO-8601 week numbers in the calendar.

      Parameters:
        `weekNumbersVisible` - Whether the week numbers are visible
      Returns:
        this

    - #### localization

          C localization(BaseTemporalInputConfigurator.CalendarLocalization localization)

      Set the Date Input calendar localization messages.

      Use `localization()` to obtain a suitable builder to configure the calendar localization messages.

      Parameters:
        `localization` - Calendar localization messages
      Returns:
        this

    - #### localization

          BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C> localization()

      Get a builder to setup the Date Input calendar localization messages.

      The `BaseTemporalInputConfigurator.CalendarLocalizationBuilder.set()` method can be used to configure the localization and go back to the parent Date Input builder.

      Returns:
        A `BaseTemporalInputConfigurator.CalendarLocalizationBuilder` to setup the Date Input calendar localization messages

Copyright © 2019 The Holon Platform. All rights reserved.